summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:49 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:49 +0200
commit8c8a417816ea122f05fb208b20d3bd454013728a (patch)
tree2a6ab1320d0f05833a451cf29df6d102bf44cbb6 /audio
parente3232c22bb757d51ea7a8cefa024ca68c42c011b (diff)
downloadslackbuilds-8c8a417816ea122f05fb208b20d3bd454013728a.tar.gz
slackbuilds-8c8a417816ea122f05fb208b20d3bd454013728a.tar.xz
audio/ladspa_sdk: Moved from multimedia
Diffstat (limited to 'audio')
-rw-r--r--audio/ladspa_sdk/README4
-rw-r--r--audio/ladspa_sdk/ladspa_sdk.SlackBuild88
-rw-r--r--audio/ladspa_sdk/ladspa_sdk.info8
-rw-r--r--audio/ladspa_sdk/profile.d/ladspa.csh2
-rw-r--r--audio/ladspa_sdk/profile.d/ladspa.sh2
-rw-r--r--audio/ladspa_sdk/slack-desc19
6 files changed, 123 insertions, 0 deletions
diff --git a/audio/ladspa_sdk/README b/audio/ladspa_sdk/README
new file mode 100644
index 0000000000..986b1f42da
--- /dev/null
+++ b/audio/ladspa_sdk/README
@@ -0,0 +1,4 @@
+The LADSPA-SDK is a software development kit for
+simple sound plugins. LADSPA is used by many programs,
+so it's a simple way to integrate one plugin in various
+applications. \ No newline at end of file
diff --git a/audio/ladspa_sdk/ladspa_sdk.SlackBuild b/audio/ladspa_sdk/ladspa_sdk.SlackBuild
new file mode 100644
index 0000000000..abc7870f7c
--- /dev/null
+++ b/audio/ladspa_sdk/ladspa_sdk.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for ladspa-sdk
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# No additional license terms added :)
+
+PRGNAM=ladspa_sdk
+VERSION=1.13
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_${VERSION}.tgz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cd src
+ make \
+ CFLAGS="$SLKCFLAGS -I. -Wall -Werror -fPIC" \
+ INSTALL_PLUGINS_DIR="/usr/lib/ladspa" \
+ INSTALL_BINARY_DIR="/usr/bin"
+
+ make install \
+ INSTALL_PLUGINS_DIR="$PKG/usr/lib/ladspa" \
+ INSTALL_BINARY_DIR="$PKG/usr/bin" \
+ INSTALL_INCLUDE_DIR="$PKG/usr/include"
+cd -
+
+mkdir -p $PKG/etc/profile.d/
+cp $CWD/profile.d/* $PKG/etc/profile.d/
+chmod 0755 $PKG/etc/profile.d/*
+
+# Cleanup files left in /tmp by make
+rm -f /tmp/test.wav || true
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/ladspa_sdk/ladspa_sdk.info b/audio/ladspa_sdk/ladspa_sdk.info
new file mode 100644
index 0000000000..01305ebe42
--- /dev/null
+++ b/audio/ladspa_sdk/ladspa_sdk.info
@@ -0,0 +1,8 @@
+PRGNAM="ladspa_sdk"
+VERSION="1.13"
+HOMEPAGE="http://www.ladspa.org/"
+DOWNLOAD="http://www.ladspa.org/download/ladspa_sdk_1.13.tgz"
+MD5SUM="671be3e1021d0722cadc7fb27054628e"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/audio/ladspa_sdk/profile.d/ladspa.csh b/audio/ladspa_sdk/profile.d/ladspa.csh
new file mode 100644
index 0000000000..7a07cd6b70
--- /dev/null
+++ b/audio/ladspa_sdk/profile.d/ladspa.csh
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv LADSPA_PATH /usr/lib/ladspa
diff --git a/audio/ladspa_sdk/profile.d/ladspa.sh b/audio/ladspa_sdk/profile.d/ladspa.sh
new file mode 100644
index 0000000000..1079c47718
--- /dev/null
+++ b/audio/ladspa_sdk/profile.d/ladspa.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+LADSPA_PATH=/usr/lib/ladspa ; export LADSPA_PATH
diff --git a/audio/ladspa_sdk/slack-desc b/audio/ladspa_sdk/slack-desc
new file mode 100644
index 0000000000..719d51d259
--- /dev/null
+++ b/audio/ladspa_sdk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+ladspa_sdk: ladspa-sdk (Sound Plugin SDK)
+ladspa_sdk:
+ladspa_sdk: The LADSPA-SDK is a software development kit for
+ladspa_sdk: simple sound plugins. LADSPA is used by many programs,
+ladspa_sdk: so it's a simple way to integrate one plugin in various
+ladspa_sdk: applications.
+ladspa_sdk:
+ladspa_sdk: Homepage: http://www.ladspa.org
+ladspa_sdk:
+ladspa_sdk:
+ladspa_sdk: